aboutsummaryrefslogtreecommitdiffstats
path: root/testing/h2o/APKBUILD
diff options
context:
space:
mode:
authorBennett Goble <nivardus@gmail.com>2016-01-07 01:12:20 -0500
committerSören Tempel <soeren+git@soeren-tempel.net>2016-01-09 16:14:18 +0100
commite1868d85f762d6066af9fdc6427eaa3dc532dd04 (patch)
treefc67c3acab1229b55a3d63be4711272ed63502c8 /testing/h2o/APKBUILD
parent13691005016314f3cf00bae93b7c6f7ae110a870 (diff)
downloadaports-e1868d85f762d6066af9fdc6427eaa3dc532dd04.tar.gz
aports-e1868d85f762d6066af9fdc6427eaa3dc532dd04.tar.bz2
aports-e1868d85f762d6066af9fdc6427eaa3dc532dd04.tar.xz
testing/h2o: update to 1.6.1
Diffstat (limited to 'testing/h2o/APKBUILD')
-rw-r--r--testing/h2o/APKBUILD18
1 files changed, 7 insertions, 11 deletions
diff --git a/testing/h2o/APKBUILD b/testing/h2o/APKBUILD
index 62934c3279..7cc59c641c 100644
--- a/testing/h2o/APKBUILD
+++ b/testing/h2o/APKBUILD
@@ -1,8 +1,7 @@
# Contributor: Bennett Goble <nivardus@gmail.com>
# Maintainer: Bennett Goble <nivardus@gmail.com>
-
pkgname=h2o
-pkgver=1.5.4
+pkgver=1.6.1
pkgrel=0
pkgdesc="An optimized HTTP/1, HTTP/2 server written in C"
url="https://h2o.examp1e.net"
@@ -12,15 +11,12 @@ depends="perl"
makedepends="cmake wslay-dev openssl-dev libuv-dev libyaml-dev"
install="$pkgname.pre-install"
subpackages="$pkgname-dev $pkgname-doc"
-source="saveas-https://github.com/h2o/h2o/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz
+source="saveas-https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz
h2o.conf
h2o.initd
h2o.logrotate"
_builddir="$srcdir/$pkgname-$pkgver"
-_logdir=/var/log/$pkgname
-_confdir=/etc
-
prepare() {
cd "$_builddir"
cmake -DBUILD_SHARED_LIBS=on -DCMAKE_INSTALL_PREFIX=/usr . || return 1
@@ -43,23 +39,23 @@ package() {
"$pkgdir"/etc/logrotate.d/$pkgname || return 1
install -m644 -D "$srcdir"/$pkgname.conf \
- "$pkgdir"/$_confdir/$pkgname.conf || return 1
+ "$pkgdir"/etc/$pkgname.conf || return 1
install -m644 -D "$_builddir"/examples/doc_root/index.html \
"$pkgdir"/var/www/index.html || return 1
- install -m700 -d "$pkgdir"/$_logdir || return 1
+ install -m700 -d "$pkgdir"/var/log/$pkgname || return 1
}
-md5sums="dcf9feac9c3ff1e7fe7f1bb41afe4d56 h2o-1.5.4.tar.gz
+md5sums="146f2cb9d7910bd1b95bb62701ece09f h2o-1.6.1.tar.gz
7d986844504a8106732d0128063faea0 h2o.conf
a1ad5f38f26603bd673106e7d6848469 h2o.initd
bb8f7d3d7589b6fca65b563f984cddda h2o.logrotate"
-sha256sums="59858a157823f8a71bcfa7564d6fb117381c20bf596a226039452be5643fcc67 h2o-1.5.4.tar.gz
+sha256sums="b9ffb59ecce6c35ea55cc95c71c7d85e91ac5fc888ada264da7c77f1d8e655f0 h2o-1.6.1.tar.gz
05a712800b959aa3440307afdcd7a3a6ab8c17f48e1bfa3751a87cc67baf8737 h2o.conf
707c02f7f47590e5bbea5688e2a5ca014a861dfdd4e0013f64094cb45d3ac397 h2o.initd
43c3bacfddd1fc6c3c9a985e915bfd555e6282b27bb8da8862272d187490832e h2o.logrotate"
-sha512sums="02b79dbb0c442ffd47a74f714953d0b04ae15a5bf30a50a10d095b0045d795b86c10a051d9e8dcce74e9b06187cffb76f461780f29509c38f222110ce0d1cd26 h2o-1.5.4.tar.gz
+sha512sums="a6c5198f42e6022f0f4947dfe0cd1fada6b3569e4c9ab3d84995b7eb6b22571e4716fc5edb5e93a3f50e8884056b2d7048a3638db1fe268d6bc99fa84b9b172b h2o-1.6.1.tar.gz
444f55c3eaae1f349223036086e45c983ea8be89e793068537ec25488c4065174bc509d0987ddc65a0357cb8acfec272e90d13ea7cdadf9cf112953d857aa574 h2o.conf
e93e66a6b00b1bff94e37489c5fdf99d9d657adc63975ec54be30f8da23dafe7d7389f02a6452ed819efc9d8398aa716782a7fd6d8509621a975ed954b73bef9 h2o.initd
3d2c9e36c48cbb974d0691e4af8e9eb8f13e3bebb98a30417cdc87e76a4b5cddc4e4f665ebea26b95174287b95d002fdc3363f30ffcf15247fcd0530fe1abfcc h2o.logrotate"